﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
//per la classe texture2d
using Microsoft.Xna.Framework.Graphics;
//per la classe Vector2
using Microsoft.Xna.Framework;

namespace XNATutorial
{
    class Player
    {
        // per gestire l'oggetto
        public Texture2D PlayerTexture;

        // per la posizione
        public Vector2 Posizione;

        // stato
        public bool StatoAttivo;

        // totale carburante
        public int Carburante;

        //oggetto per la classe animazione
        public Animazione PlayerAnimazione;


        //larghezza per il posizionamento
        //commento
        //public int Width
        //{
        //    get { return PlayerTexture.Width; }
        //}
        //larghezza per il posizionamento
        public int Width
        {
            get { return PlayerAnimazione.FrameWidth; }
        }

        //altezza per il posizionamento
        public int Height
        {
            get { return PlayerAnimazione.FrameHeight; }
        }

        //altezza per il posizionamento
        //public int Height
        //{
        //    get { return PlayerTexture.Height; }
        //}

        //modifico da Texture2D texture in Animazione animation
        public void Initialize(Animazione animazione, Vector2 posizione)
        {
           // PlayerTexture = texture;
            //inizializzo l'oggetto 
            PlayerAnimazione = animazione;

            // imposto la posizione
            Posizione = posizione;

            //imposto lo stato in true quindi attivo
            StatoAttivo = true;
            //imposto il punteggio
            Carburante = 100;
        } 
        //gestione dell'immagine  update
        public void Update(GameTime gameTime)
        {
            PlayerAnimazione.Posizione = Posizione;
            PlayerAnimazione.Update(gameTime);
        }
        /// <summary>
        /// Funzione che permette di visualizzare a video il risultato 
        /// </summary>
        /// <param name="spriteBatch"></param>
        public void Draw(SpriteBatch spriteBatch)
        {
           // spriteBatch.Draw(PlayerTexture, Posizione, null, Color.White, 0f, Vector2.Zero, 1f, SpriteEffects.None, 0f);
            PlayerAnimazione.Draw(spriteBatch);

        } 
    }
}
